create sequence if not exists hibernate_sequence start 1 increment 1;

create table if not exists job
(
    id                 bigint       not null
        constraint job_pkey
            primary key,
    connector_id       varchar(10),
    create_date_time   timestamp,
    errors             varchar,
    job_parameters     varchar,
    job_type           varchar(255) not null,
    org_key            varchar(255),
    owner_id           bigint,
    status             varchar(255) not null,
    update_date_time   timestamp,
    version            integer      not null
);

create table if not exists job_output
(
    bucket_name      varchar(255) not null,
    create_date_time timestamp,
    key              varchar(255) not null,
    update_date_time timestamp,
    version          integer      not null,
    job_id           bigint       not null
        constraint job_output_pkey
            primary key
        constraint fkqcsylrrrhxya59cq8kmn88pel
            references job
            on delete cascade
);

create table if not exists job_progress
(
    create_date_time timestamp,
    update_date_time timestamp,
    value            varchar(255) not null,
    version          integer      not null,
    job_id           bigint       not null
        constraint job_progress_pkey
            primary key
        constraint fk5btj2kjn85nnmkut2ijh37xsm
            references job
            on delete cascade
);

create table if not exists shedlock(
                         name varchar(64),
                         lock_until timestamp (3) null,
                         locked_at timestamp (3) null,
                         locked_by  varchar(255),
                         primary key (name)
);